Summary: A tool for testing TCP connections
Name: ttcp
Version: 1.12
Release: 1%{?dist}
URL:	ftp://ftp.sgi.com/sgi/src/ttcp/
Source0: ftp://ftp.sgi.com/sgi/src/ttcp/ttcp.c
Source1: ftp://ftp.sgi.com/sgi/src/ttcp/ttcp.1
Source2: ftp://ftp.sgi.com/sgi/src/ttcp/README
Patch0: ttcp-big.patch
Patch1: ttcp-malloc.patch
Group: Applications/Internet
License: Public Domain
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ttcp is a tool for testing the throughput of TCP connections.  Unlike other
tools which might be used for this purpose (such as FTP clients), ttcp does
not read or write data from or to a disk while operating, which helps ensure
more accurate results.

%prep
%setup -c -T -q
cp %{SOURCE0} %{SOURCE1} %{SOURCE2} .
%patch0 -p1 -b .big
%patch1 -p1 -b .malloc
chmod 644 *

%build
%{__cc} -o ttcp $RPM_OPT_FLAGS ttcp.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir}}
install -m755 ttcp $RPM_BUILD_ROOT%{_bindir}
install -m644 ttcp.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Sep 10 2014 Alexandre Tremblay <sw@telcobridges.com> - 1.12-1
- Repackage for CentOS 7

* Thu Mar 20 2008 Stephane E. Potvin <stephane.potvin@telcobridges.com> - 1.12-1.tb1
- Initial import from Fedora 8

* Fri Aug 24 2007 Marcela Maslanova <mmaslano@redhat.com> - 1.12-16
- check license, mass rebuild

* Tue Mar 06 2007 Marcela Maslanova <mmaslano@redhat.com> - 1.12-15
- merge review
- rhbz#226505

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.12-14.1
- rebuild

* Thu Jun 15 2006 Radek Vokal <rvokal@redhat.com> 1.12-14
- rebuilt

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.12-13.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.12-13.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Mar 04 2005 Radek Vokal <rvokal@redhat.com> - 1.12-13
- gcc4 rebuilt

* Tue Feb 22 2005 Radek Vokal <rvokal@redhat.com>
- implement full IPv6 support (server uses ipv6 mapped addresses for ipv4)
- fix a few warnings 
- added -I option to specify network interface
- added multicast support
- added -w option to specify microsecond delay between each write
- multiple processes can listen to same port
- previous patch cleaned

* Sun Feb 13 2005 Florian La Roche <laroche@redhat.com>
- add patch from #146012

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add %%clean specfile target

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 1.12-6
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 1.12-3
- rebuild in new environment

* Tue May 15 2001 Nalin Dahyabhai <nalin@redhat.com> 1.12-2
- fix defattr

* Thu May 10 2001 Nalin Dahyabhai <nalin@redhat.com> 1.12-1
- build initial package
